Subject: Re: start of git2 (based on libgit2)

From: Sam Vilain <[email-masked]>
Date: Sat, 26 Mar 2011 19:33:19 +1300

On 26/03/11 12:12, Motiejus Jakštys wrote:
> Build tool. Currently libgit2 uses waf. I am not against it (I've chosen
> waf for one of my own C++ projects), However, it's too clumsy for me. Is
> it me who lacks experience? Scons looks much easier for me. Moreover, we
> do not need automatic configuration, so it makes waf "overfeatured".

Another one you might like to look at is "ccanlint" - it wraps a whole
bunch of things that make for exceptional quality code, such as code
coverage by the test suite, documentation coverage, compilable examples,
even cranks it up using valgrind to check that it's right.

As far as your question about how much to implement or bring across from
git - try to do it feature by feature, with reference to the test suite
and make sure each feature has a test.  It's a very bad idea IMHO to
port across untested features.  I'd much rather have a core set of
commands which are well tested and stable, than a handful of
fully-implemented but buggy commands.

Sam